#
# spec file for package wlgreet
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wlgreet
Version:        0.5.0
Release:        1.2
Summary:        Raw wayland greeter for greetd
License:        GPL-3.0-only
Group:          System/Management
URL:            https://git.sr.ht/~kennylevinsen/wlgreet
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  cargo-packaging
Recommends:     greetd

%description
Raw wayland greeter for greetd, to be run under sway or similar.
Note that cage is currently not supported due to it lacking wlr-layer-shell-unstable support.

%prep
%autosetup -a1

%build
%{cargo_build}

%install
%{cargo_install}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Tue May  7 2024 Joshua Smith <smolsheep@opensuse.org>
- Service to use manual instead of deprecated disabled
- Remove deprecated cargo_config (now part of vendor)
- Update to version 0.5.0:
  * Remove unwanted unreachable macro
* Mon Jun  5 2023 Denys Kondratenko <stdden@opensuse.org>
- Update vendor dependencies to fix CVE bnc#1212013
* Mon Jan 30 2023 Filippo Bonazzi <filippo.bonazzi@suse.com>
- Update to version 0.4.1:
  * update dependencies to solve an issue with wayland-rs and newer Wayland
    compositors
* Fri Jun  3 2022 Timothy Brown <stimut@gmail.com>
- Update to 0.4. This release fixes a wl_output version 4
  incompatibility and adds some color configuration.
  * Restrict wl_output to version 3
  * Add configurable color to headline and prompt
  * Update dependencies version: wayland-*,sctk
* Thu May 26 2022 William Brown <william.brown@suse.com>
- Update to vendored depedencies
* Fri Nov  5 2021 William Brown <william.brown@suse.com>
- Add cargo audit service to detect potential security issues
* Tue Sep 28 2021 William Brown <william.brown@suse.com>
- Replace rust-packaging with cargo-packaging
* Sat Feb 20 2021 Denys Kondratenko <stdden@opensuse.org>
- Update to 0.3. This release is a minor maintenance release,
  fixing an issue with layer-shell and with IPC.
  * Update Cargo.lock
  * Workaround for recent layer-shell impl changes
  * Read result for CancelSession properly
  * Update greetd_ipc dependency
* Mon Sep  7 2020 Denis Kondratenko <denis.kondratenko@suse.com>
- Initial wlgreet package version 0.2
